#
# spec file for package efl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# build doc is disabled due to #897122 once the bug is resolved it can be re enabled
%define build_doc 0

# Build doc needs to be defined for build doc man to work
%define build_doc_man 0

%define gstreamer1_present 1
%define physics_present 1

# Currently we don't need to build any  plugins and theres none that make
# sense to build
%define generic_players_present 0

%if 0%{?suse_version} == 1315 
%define xinput22_present 0
%else
%define xinput22_present 1
%endif

%if 0%{?suse_version} == 1315 
%define xinput22_present 0
%else
%define xinput22_present 1
%endif

# fedora SLEs 12 don't support xine
%if (0%{?suse_version} == 1315 || 0%{?fedora})
%define xine_present 0
%else
%define xine_present 1
%endif

%ifarch %ix86 x86_64 %arml ppc
%define luajit_present 1
%else
%define luajit_present 0
%endif

%if 0%{?is_opensuse}
%define poppler_present 1
%else
%define poppler_present 0
%endif

%if 0%{?is_opensuse}
%define vlc_present 1
%else
%define vlc_present 0
%endif

%define enable_wayland (0%{?suse_version} > 1320)

Name:           efl
Version:        1.18.2
Release:        6.20
# TODO: split package to separate packages and specify licenses correctly
Summary:        Enlightenment Foundation Libraries - set of libraries used (not only) by E17
License:        BSD-2-Clause and LGPL-2.1 and Zlib
Group:          Development/Libraries/C and C++
Url:            git://git.enlightenment.org/core/efl.git
Source:         %{name}-%{version}.tar.xz
BuildRequires:  autoconf >= 2.5
BuildRequires:  automake
%if %build_doc
BuildRequires:  doxygen
%endif
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  giflib-devel
BuildRequires:  glibc-devel
BuildRequires:  libjpeg-devel
%if %poppler_present
BuildRequires:  libpoppler-devel
# boo#864299 need libpoppler-cpp0 for Leap / SLE
BuildRequires:  libpoppler-cpp0
%endif
BuildRequires:  ImageMagick
BuildRequires:  gettext-devel
BuildRequires:  libraw-devel
BuildRequires:  libspectre-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  python >= 2.5
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
%ifarch %ix86 x86_64 ppc ppc64 ppc64le s390x armv7l armv7hl armv6l armv6hl aarch64
BuildRequires:  valgrind
%endif

BuildRequires:  pkgconfig(alsa)
%if %physics_present
BuildRequires:  pkgconfig(bullet) >= 2.80
%endif
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libpng) >= 1.2.10
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libudev)
%if %vlc_present
BuildRequires:  pkgconfig(libvlc)
%endif
%if %xine_present
BuildRequires:  pkgconfig(libxine)
%endif
%if %luajit_present
BuildRequires:  pkgconfig(luajit)
%else
%if 0%{suse_version} >= 1330
BuildRequires:  pkgconfig(lua-5.1)
%else
BuildRequires:  pkgconfig(lua) < 5.2
%endif
%endif
BuildRequires:  systemd
BuildRequires:  systemd-devel
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(mount)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xp)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(zlib)
%if %enable_wayland
BuildRequires:  pkgconfig(gbm)
BuildRequires:  pkgconfig(libdrm) >= 2.4
BuildRequires:  pkgconfig(libinput) >= 0.6.0
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(wayland-client) >= 1.11.0
BuildRequires:  pkgconfig(wayland-cursor) >= 1.11.0
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-server) >= 1.11.0
BuildRequires:  pkgconfig(xkbcommon)
%endif
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif
Recommends:     elua = %{version}

Provides:       ecore = %{version}
Obsoletes:      ecore < %{version}
Provides:       edje-utils = %{version}
Obsoletes:      edje-utils < %{version}
Provides:       eet = %{version}
Obsoletes:      eet < %{version}
Provides:       eeze = %{version}
Obsoletes:      eeze < %{version}
Provides:       efreet = %{version}
Obsoletes:      efreet < %{version}
Provides:       eina = %{version}
Obsoletes:      eina < %{version}
Provides:       emotion = %{version}
Obsoletes:      emotion < %{version}
Provides:       ethumb = %{version}
Obsoletes:      ethumb < %{version}
Provides:       evas = %{version}
Obsoletes:      evas < %{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{?systemd_requires}

%description
EFL is library collection providing various functionality used (not onyl) by Enlightenment 17, Terminology, Tizen mobile platform and much more.

%package devel
Summary:        Headers, pkgconfig files and other files for development with EFL
License:        BSD-2-Clause and LGPL-2.1 and Zlib
Group:          Development/Libraries/C and C++
Requires:       gettext-devel
Requires:       giflib-devel
Requires:       glibc-devel

%if %physics_present
Requires:       pkgconfig(bullet)
%endif
Requires:       pkgconfig(dbus-1)
Requires:       pkgconfig(dri)
Requires:       pkgconfig(egl)
Requires:       pkgconfig(fontconfig)
Requires:       pkgconfig(freetype2)
Requires:       pkgconfig(fribidi)
Requires:       pkgconfig(glesv2)
Requires:       pkgconfig(glib-2.0)
Requires:       pkgconfig(libcurl)
Requires:       pkgconfig(libexif)
Requires:       pkgconfig(libopenjpeg)
Requires:       pkgconfig(libpng) >= 1.2.10
Requires:       pkgconfig(librsvg-2.0)
Requires:       pkgconfig(libtiff-4)
Requires:       pkgconfig(libudev)
%if %xine_present
Requires:       pkgconfig(libxine)
%endif
%if %luajit_present
Requires:       pkgconfig(luajit)
%else
%if 0%{suse_version} >= 1330
Requires:       pkgconfig(lua-5.1)
%else
Requires:       pkgconfig(lua) < 5.2
%endif
%endif
Requires:       pkgconfig(harfbuzz)
Requires:       pkgconfig(openssl)
Requires:       pkgconfig(pixman-1)
Requires:       pkgconfig(sdl)
Requires:       pkgconfig(sndfile)
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xcomposite)
Requires:       pkgconfig(xcursor)
Requires:       pkgconfig(xdmcp)
Requires:       pkgconfig(xext)
Requires:       pkgconfig(xi)
Requires:       pkgconfig(xinerama)
Requires:       pkgconfig(xp)
Requires:       pkgconfig(xproto)
Requires:       pkgconfig(xrandr)
Requires:       pkgconfig(xscrnsaver)
Requires:       pkgconfig(xtst)
Requires:       pkgconfig(zlib)

%if %gstreamer1_present
Requires:       pkgconfig(gstreamer-1.0)
Requires:       pkgconfig(gstreamer-plugins-base-1.0)
%endif
Requires:       pkgconfig(libpulse)

Requires:       %{name} = %{version}
Requires:       libecore1 = %{version}
Requires:       libector1 = %{version}
Requires:       libedje1 = %{version}
Requires:       libeet1 = %{version}
Requires:       libeeze1 = %{version}
Requires:       libefreet1 = %{version}
Requires:       libefreet_mime1 = %{version}
Requires:       libefreet_trash1 = %{version}
Requires:       libeina1 = %{version}
Requires:       libeio1 = %{version}
Requires:       libeldbus1 = %{version}
Requires:       libelementary1 = %{version}
Requires:       libelocation1 = %{version}
Requires:       libembryo1 = %{version}
Requires:       libemile1 = %{version}
Requires:       libemotion1 = %{version}
Requires:       libeo1 = %{version}
%if %physics_present
Requires:       libephysics1 = %{version}
%endif
Requires:       edje = %{version}
Requires:       embryo = %{version}
Requires:       libethumb1 = %{version}
Requires:       libethumb_client1 = %{version}
Requires:       libevas1 = %{version}
Provides:       ecore-devel = %{version}
Provides:       edbus-devel = %{version}
Provides:       edje-devel = %{version}
Provides:       eet-devel = %{version}
Provides:       eeze-devel = %{version}
Provides:       efreet-devel = %{version}
Provides:       eina-devel = %{version}
Provides:       eio-devel = %{version}
Provides:       elementary-devel = %{version}
Provides:       embryo-devel = %{version}
Provides:       emotion-devel = %{version}
%if %physics_present
Provides:       ephysics-devel = %{version}
%endif
Provides:       emotion-generic-players-devel = %{version}
Provides:       eo-devel = %{version}
Provides:       ethumb-devel = %{version}
Provides:       evas-devel = %{version}
Provides:       evas-generic-loaders-devel = %{version}
Obsoletes:      ecore-devel < %{version}
Obsoletes:      edbus-devel < %{version}
Obsoletes:      edje-devel < %{version}
Obsoletes:      eet-devel < %{version}
Obsoletes:      eeze-devel < %{version}
Obsoletes:      efreet-devel < %{version}
Obsoletes:      eina-devel < %{version}
Obsoletes:      eio-devel < %{version}
Obsoletes:      elementary-devel < %{version}
Obsoletes:      embryo-devel < %{version}
Obsoletes:      emotion-devel < %{version}
Obsoletes:      eo-devel < %{version}
%if %physics_present
Obsoletes:      ephysics-devel < %{version}
%endif
Obsoletes:      emotion-generic-players-devel < %{version}
Obsoletes:      ethumb-devel < %{version}
Obsoletes:      evas-devel < %{version}
Obsoletes:      evas-generic-loaders-devel < %{version}

%description devel
Headers, pkgconfig files and other files needed for development with EFL.

%package -n libecore1
Summary:        Ecore, part of EFL
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++

%description -n libecore1
Ecore is a clean and tiny event loop library with many modules to do lots of
convenient things for a programmer, to save time and effort.

%package -n libector1
Summary:        Ector, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libector1
Ector provides a new retained rendering library that is used by Evas to
provide
Evas_Object_VG. This is a new Evas_Object that provides a vector graphics
scene graph following the SVG specification. It will be considered a bug
if some
behaviour does not follow the SVG standard. Evas_Object_VG provides 3
kind of objects
for now: shape, as well as linear and radial gradients.

%package -n libedje1
Summary:        Edje, part of EFL
License:        BSD-2-Clause and GPL-2.0
Group:          System/Libraries

%description -n libedje1
Abstract GUI layout and animation object library. Part of Enlightenment Foundation Libraries.

%package -n libeldbus1
Summary:        ELDbus, part of EFL
License:        LGPL-2.1
Group:          System/Libraries

%description -n libeldbus1
ELDbus is a wrapper around libdbus for the Enlightenment Foundation Libraries

%package -n libeet1
Summary:        Eet, part of EFL
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++

%description -n libeet1
Eet is a tiny library designed to write an arbitrary set of chunks of
data to a file and optionally compress each chunk (very much like a
zip file) and allow fast random-access reading of the file later
on. It does not do zip as a zip itself has more complexity than is
needed, and it was much simpler to implement this once here.

It also can encode and decode data structures in memory, as well as
image data for saving to eet files or sending across the network to
other machines, or just writing to arbitrary files on the system. All
data is encoded in a platform independent way and can be written and
read by any architecture.

%package -n libeeze1
Summary:        Eeze, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n libeeze1
Eeze is a library for manipulating devices through udev with a simple
and fast api. It interfaces directly with libudev, avoiding such
middleman daemons as udisks/upower or hal, to immediately gather
device information the instant it becomes known to the system.  This
can be used to determine such things as:
  * If a cdrom has a disk inserted
  * The temperature of a cpu core
  * The remaining power left in a battery
  * The current power consumption of various parts
  * Monitor in realtime the status of peripheral devices

Each of the above examples can be performed by using only a single
eeze function, as one of the primary focuses of the library is to
reduce the complexity of managing devices.

%package -n libefl1
Summary:        Efreet, part of EFL
License:        LGPL-2.1
Group:          System/Libraries

%description -n libefl1
The foundation components for the enlightenment foundation libraries.

%package -n libefreet1
Summary:        Efreet, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries

%description -n libefreet1
Standards handling for FreeDesktop.org standards.

%package -n libefreet_mime1
Summary:        Efreet, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries
Conflicts:      libefreet1 < 1.8

%description -n libefreet_mime1
Standards handling for FreeDesktop.org mime types.

%package -n libefreet_trash1
Summary:        Efreet, part of EFL
License:        BSD-2-Clause
Group:          System/Libraries
Conflicts:      libefreet1 < 1.8

%description -n libefreet_trash1
Standards handling for FreeDesktop.org trash.

%package -n libeina1
Summary:        Eina, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libeina1
Eina is library handling various data types.

%package -n libeio1
Summary:        Eio, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libeio1
Extension of ecore for parallel I/O operations. Part of Enlightenment Foundation Libraries.

%package -n libelocation1
Summary:        ELocation, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libelocation1
A location library. Part of Enlightenment Foundation Libraries.

%if %enable_wayland
%package -n libelput1
Summary:        Elput, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libelput1
A location library. Part of Enlightenment Foundation Libraries. For handling wayland input
%endif

%package -n libelua1
Summary:        Lua bindings for the EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libelua1
Support for lua within the efl

%package -n libembryo1
Summary:        Embryo, part of EFL
License:        BSD-2-Clause and Zlib
Group:          Development/Libraries/C and C++

%description -n libembryo1
Embryo is a tiny library designed to interpret limited small programs compiled
by the included compiler, embryo_cc. It is mostly a cleaned up and smaller
version of the original Small abstract machine. The compiler is mostly
untouched.

%package -n libemotion1
Summary:        Emotion, part of EFL
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++

%description -n libemotion1
Emotion is a wrapper that provides a uniform api to a number of different media libraries
Currently the supported backends for this 

%package -n libemile1
Summary:        Emile, part of EFL compression and ciphering libs for the efl
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libemile1

Emile provides a library to bring together serialization, compression
and ciphering.
It is a low-level library and can be used by anything above Eina. It
came along with a
lot re-factoring of our current code base to make use of it and
de-duplicate a lot of
existing code. More refactoring is expected in ecore_con_ssl ciphering
and general
image compression.

%package -n libeo1
Summary:        Eo, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libeo1
Eo is library providing basic E object in OOP way of programming.

%package -n libeolian1
Summary:        Eolian, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libeolian1
Eolian is library for binding/code generation based on Eo descriptions.

%package -n libethumb1
Summary:        EThumb, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libethumb1
Thumbnail generation library for EFL

%if %physics_present
%package -n libephysics1
Summary:        EPhysics, part of EFL
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libephysics1
EPhysics is a wrapper around bullet physics for the enlightenment foundation libraries
%endif

%package -n libevas1
Summary:        Evas, part of EFL
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++

%description -n libevas1
Evas is a clean display canvas API that implements a scene graph, not an
immediate-mode rendering target, is cross-platform, for several target display
systems that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects and much more.

%package -n libethumb_client1
Summary:        EThumb Client, part of EFL
License:        LGPL-2.1
Group:          System/Libraries

%description -n libethumb_client1
Shared library of ethumb client

%package -n edje
Summary:        Abstract GUI layout and animation object library
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
Requires:       efl = %{version}
Requires:       embryo = %{version}
Requires:       libedje1 = %{version}

%description -n edje
Abstract GUI layout and animation object library. Part of Enlightenment Foundation Libraries.

%package -n elementary
Summary:        The widget set for enlightenment
License:        LGPL-2.1
Group:          Development/Libraries
Requires:       edje = %{version}
Requires:       efl = %{version}
Provides:       libelementary1 = %{version}
Obsoletes:      libelementary1 < %{version}

%description -n elementary
Set of widgets for enlightenment focused on touch devices

%package -n elementary-examples
Summary:        Elementary examples
License:        LGPL-2.1
Group:          Documentation/Other

%description -n elementary-examples
Examples of usage of Elementary library.

%package -n elua
Summary:        LuaJIT bindings for the efl
License:        LGPL-2.1
Group:          Development/Libraries
Requires:       efl = %{version}

%description -n elua
A set of efl bindings for the LuaJIT environment

%package -n embryo
Summary:        Abstract GUI layout and animation object library
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
Requires:       libembryo1 = %{version}

%description -n embryo
Embryo is a tiny library designed to interpret limited small programs compiled
by the included compiler, embryo_cc. It is mostly a cleaned up and smaller
version of the original Small abstract machine. The compiler is mostly
untouched.

%package -n evas-generic-loaders
Summary:        Set of generic loaders for Evas
License:        GPL-2.0+
Group:          Development/Libraries/C and C++

%description -n evas-generic-loaders
Set of generic loaders allowing to open XCF, PDF, PS, RAW, MPG/AVI/OGV/MOV/MKV/WMV. 
Useful only for evas library.

%if %generic_players_present
%package -n emotion-generic-players
Summary:        Set of generic players for Emotion
License:        GPL-2.0+
Group:          Development/Libraries/C and C++

%description -n emotion-generic-players
Set of generic players (currently VLC is supported) allowing to open video files through emotion.
Useful only for emotion library.
%endif

%if %{build_doc}
%if %{build_doc_man}
%package doc-man
Summary:        EFL reference man pages
License:        BSD-2-Clause
Group:          Documentation/Man

%description doc-man
Documentation in form of man pages describing EFL API.
%endif #build_doc_man

%package doc-html
Summary:        EFL reference man pages
License:        BSD-2-Clause
Group:          Documentation/HTML

%description doc-html
Documentation in form of HTML pages describing EFL API.
%endif #build_doc

%package examples
Summary:        Examples of EFL usage
License:        BSD-2-Clause and LGPL-2.1 and Zlib
Group:          Documentation/Man

%description examples
Examples usage of the EFL library.

%package testsuite
Summary:        EFL testsuite
License:        BSD-2-Clause and LGPL-2.1 and Zlib
Group:          Development/Libraries/C and C++
Requires:       libefreet1 = %{version}

%description testsuite
Testsuite of EFL package.

%package -n enlightenment-theme-upstream
Summary:        Default Enlightenment theme
License:        BSD-2-Clause and LGPL-2.1 and Zlib
Group:          System/GUI/Other
Version:        0.21.0
Release:        6.20
Provides:       enlightenment-theme = 0.1
Provides:       enlightenment-theme-dft
Conflicts:      otherproviders(enlightenment-theme-dft)

%description  -n enlightenment-theme-upstream
For use with upstream branding, when using openSUSE themes, when using openSUSE themes Use the Dark theme instead

%package -n enlightenment-theme-dark
Summary:        Default Enlightenment theme(Dark)
License:        BSD-2-Clause and LGPL-2.1 and Zlib
Group:          System/GUI/Other
Provides:       enlightenment-theme
Version:        0.21.0
Release:        6.20

%description  -n enlightenment-theme-dark
The default theme for enlightenment install when using openSUSE branding

%package -n enlightenment-x-dark-icon-theme
Summary:        A freedesktop.org compatible icon theme
License:        GPL-3.0
Group:          System/GUI/Other

%description -n enlightenment-x-dark-icon-theme
Setting this icon theme as your application icon theme in enlightenment will
make all your applications use the same icon set as the enlightenment
dark (upstream) theme.

Icon themes to match the openSUSE Enlightenment themes are also available.

%prep
%setup -q
%build
# For now i'm not using a proper source tarball.
autoreconf -ivf

# remove __DATE__ and __TIME__
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
FAKE_DOCDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%a %%b %%d %%Y')
sed -i -e "s/__TIME__/\"$FAKE_BUILDTIME\"/g" -e "s/__TIME__/\"$FAKE_BUILDTIME\"/g" src/lib/eina/eina_hamster.c
sed -i -e "s/__TIME__/\"$FAKE_BUILDDATE\"/g" -e "s/__DATE__/\"$FAKE_BUILDDATE\"/g" src/lib/eina/eina_hamster.c

# it seems that fedora libxcb-devel package doesn't contain xcb-xprint.pc
%if 0%{?fedora_version}
sed -i 's/xcb-xprint//g' configure.ac configure
%endif

ARGS=""

# efl intentionally compares string pointers in alot of places rather then strings this stops obs complaining
export CFLAGS="%optflags -Wno-address";

%configure \
    --disable-static \
    --disable-silent-rules \
    --disable-tslib \
%ifarch armv6hl armv6l
    --disable-neon \
%endif
%if ! %physics_present
    --disable-physics \
    --enable-i-really-know-what-i-am-doing-and-that-this-will-probably-break-things-and-i-will-fix-them-myself-and-send-patches-aba \
%endif
%if ! %poppler_present
    --disable-poppler \
%endif
%if !%luajit_present
    --enable-lua-old \
%endif
    --enable-harfbuzz \
%if %xinput22_present
    --enable-xinput22 \
%endif
%if %xine_present
    --enable-xine \
%endif
    --with-generic_vl \
    --enable-systemd \
    --enable-fb \
%if %{build_doc}
    --enable-doc \
%else
    --disable-doc \
%endif
    --enable-install-examples \
%if %enable_wayland
    --enable-drm \
    --enable-wayland \
    --enable-elput \
    --enable-egl \
    --with-opengl=es \
%endif
    $ARGS

make %{?_smp_mflags}
%if %{build_doc}
make doc
%endif 

%install
make install DESTDIR="%buildroot"
make install-examples DESTDIR="%buildroot"

%if 0%{?suse_version}
%fdupes -s "%{buildroot}/%{_datadir}/%{name}/examples"
%endif
# delete binary with suid bit set :D
rm -f "%buildroot/%_bindir/eeze_scanner"

%if %{build_doc}
%if %{build_doc_man}
# copy documentation manually
echo "Copying MAN pages"
/bin/cp -vr doc/man %{buildroot}%{_datadir}/
%endif #build_doc_man
# fix line endings
find doc/html -name '*.eps' | xargs sed -i 's@\r@\n@g'
# remove duplicates
%if 0%{?suse_version}
%fdupes -s doc/html
%if %{build_doc_man}
%fdupes -s %{buildroot}%{_datadir}/man/
%endif #build_doc_man
%endif
%endif #build_doc

# fix permissions
find \
%if %{build_doc_man}
     %{buildroot}%{_datadir}/man \
     doc \
%endif
     %{buildroot}%{_datadir}/*/examples \
     -type d -exec chmod 0755 {} \;
find \
%if %{build_doc_man}
     %{buildroot}%{_datadir}/man \
     doc \
%endif
     %{buildroot}%{_datadir}/*/examples \
    -type f -exec chmod 0644 {} \;

# python gdb pretty printers shouldn't have execute permissions.
chmod 0644 %{buildroot}%{_datadir}/eo/gdb/eo_gdb.py

find %{buildroot}%{_libdir} -name '*.la' -exec rm -v {} \;
%find_lang efl

mkdir -p  %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
mv %{buildroot}%{_datadir}/icons/elementary.png  %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/

# create theme version for dark package
cp %{buildroot}%{_datadir}/elementary/themes/default.edj %{buildroot}%{_datadir}/elementary/themes/dark.edj

# move icons as openSUSE also ships 
mv %{buildroot}/%{_datadir}/icons/Enlightenment-X %{buildroot}/%{_datadir}/icons/Enlightenment-X-dark
%if 0%{?suse_version}
%fdupes -s %{buildroot}%{_datadir}/icons/Enlightenment-X-dark/
%endif

find %{buildroot}%{_libdir} -name '*.la' -exec rm -v {} +
%find_lang %{name}
%if 0%{?suse_version}
%suse_update_desktop_file -N "Elementary Configuration" -G "Elementary Configuration" -r %{buildroot}%{_datadir}/applications/elementary_config.desktop Settings DesktopSettings
%suse_update_desktop_file -N "Elementary Test" -G "Elementary Test" -r %{buildroot}%{_datadir}/applications/elementary_test.desktop Development IDE
%endif

%if ! 0%{?fedora_version}
%pre
%service_add_pre efreet.service ethumb.service
%endif 

%post
%if ! 0%{?fedora_version}
%service_add_post efreet.service ethumb.service
%endif
/sbin/ldconfig

%if ! 0%{?fedora_version}
%preun
%service_del_preun efreet.service ethumb.service
%endif

%postun
%if ! 0%{?fedora_version}
%service_del_postun efreet.service ethumb.service
%endif
/sbin/ldconfig

%post -n libecore1 -p /sbin/ldconfig
%postun -n libecore1 -p /sbin/ldconfig

%post -n libector1 -p /sbin/ldconfig
%postun -n libector1 -p /sbin/ldconfig

%post -n libedje1 -p /sbin/ldconfig
%postun -n libedje1 -p /sbin/ldconfig

%post -n libeldbus1 -p /sbin/ldconfig
%postun -n libeldbus1 -p /sbin/ldconfig

%post -n libeet1 -p /sbin/ldconfig
%postun -n libeet1 -p /sbin/ldconfig

%post -n libeeze1 -p /sbin/ldconfig
%postun -n libeeze1 -p /sbin/ldconfig

%post -n libefl1 -p /sbin/ldconfig
%postun -n libefl1 -p /sbin/ldconfig

%post -n libefreet1 -p /sbin/ldconfig
%postun -n libefreet1 -p /sbin/ldconfig

%post -n libeina1 -p /sbin/ldconfig
%postun -n libeina1 -p /sbin/ldconfig

%post -n libeio1 -p /sbin/ldconfig
%postun -n libeio1 -p /sbin/ldconfig

%post -n elementary -p /sbin/ldconfig
%postun -n elementary -p /sbin/ldconfig

%post -n libelocation1 -p /sbin/ldconfig
%postun -n libelocation1 -p /sbin/ldconfig

%if %enable_wayland
%post -n libelput1 -p /sbin/ldconfig
%postun -n libelput1 -p /sbin/ldconfig
%endif

%post -n libelua1 -p /sbin/ldconfig
%postun -n libelua1 -p /sbin/ldconfig

%post -n libembryo1 -p /sbin/ldconfig
%postun -n libembryo1 -p /sbin/ldconfig

%post -n libemile1 -p /sbin/ldconfig
%postun -n libemile1 -p /sbin/ldconfig

%post -n libemotion1 -p /sbin/ldconfig
%postun -n libemotion1 -p /sbin/ldconfig

%post -n libeo1 -p /sbin/ldconfig
%postun -n libeo1 -p /sbin/ldconfig

%post -n libeolian1 -p /sbin/ldconfig
%postun -n libeolian1 -p /sbin/ldconfig

%if %physics_present
%post -n libephysics1 -p /sbin/ldconfig
%postun -n libephysics1 -p /sbin/ldconfig
%endif

%post -n libethumb1 -p /sbin/ldconfig
%postun -n libethumb1 -p /sbin/ldconfig

%post -n libethumb_client1 -p /sbin/ldconfig
%postun -n libethumb_client1 -p /sbin/ldconfig

%post -n libevas1 -p /sbin/ldconfig
%postun -n libevas1 -p /sbin/ldconfig

%post -n libefreet_trash1 -p /sbin/ldconfig
%postun -n libefreet_trash1 -p /sbin/ldconfig

%post -n libefreet_mime1 -p /sbin/ldconfig
%postun -n libefreet_mime1 -p /sbin/ldconfig

%files -f efl.lang
%defattr(-, root, root)
%{_bindir}/*
%exclude %{_bindir}/edje_*
%exclude %{_bindir}/elementary_*
%exclude %{_bindir}/embryo_*
%exclude %{_datadir}/ecore_x/checkme
%exclude %{_datadir}/evas/checkme
%exclude %{_datadir}/*/examples
# evas generic loaders
%exclude %{_libdir}/evas/utils/
%exclude %{_libdir}/emotion/generic_players/

%doc README COPYING AUTHORS
%{_libdir}/ecore_evas
%{_libdir}/ecore_imf
%{_libdir}/ecore
%{_libdir}/ecore_x
%{_libdir}/eeze
%{_libdir}/efreet
%{_libdir}/emotion
%{_libdir}/ethumb
%{_libdir}/ethumb_client
%{_libdir}/evas
%{_datadir}/dbus-1
%{_datadir}/ecore
%{_datadir}/ecore_avahi
%{_datadir}/ecore_x
%{_datadir}/eet
%{_datadir}/eina
%{_datadir}/eina_cxx
%{_datadir}/eio
%{_datadir}/eldbus
%{_datadir}/elocation
%{_datadir}/emile
%{_datadir}/emotion
%{_datadir}/eo
%{_datadir}/eolian_cxx
%{_datadir}/ephysics
%{_datadir}/ethumb
%{_datadir}/evas
%{_prefix}/lib/systemd/user/*.service

%files -n libefl1
%defattr(-, root, root)
%{_libdir}/libefl*.so.*

%files -n libecore1
%defattr(-, root, root)
%{_libdir}/libecore*.so.*

%files -n libector1
%defattr(-, root, root)
%{_libdir}/libector*.so.*

%files -n libedje1
%defattr(-, root, root)
%{_libdir}/libedje.so.1*

%files -n libeldbus1
%defattr(-, root, root)
%{_libdir}/libeldbus.so.*

%files -n libelocation1
%defattr(-, root, root)
%{_libdir}/libelocation.so.*

%if %enable_wayland
%files -n  libelput1
%defattr(-, root, root)
%{_libdir}/libelput.so.*
%endif

%if %luajit_present
%files -n libelua1
%defattr(-, root, root)
%{_libdir}/libelua.so.*
%endif

%files -n libeet1
%defattr(-, root, root)
%{_libdir}/libeet.so.*

%files -n libeeze1
%defattr(-, root, root)
%{_libdir}/libeeze.so.*

%files -n libefreet1
%defattr(-, root, root)
%{_libdir}/libefreet.so.*

%files -n libefreet_mime1
%defattr(-, root, root)
%{_libdir}/libefreet_mime.so.*

%files -n libefreet_trash1
%defattr(-, root, root)
%{_libdir}/libefreet_trash.so.*

%files -n libeina1
%defattr(-, root, root)
%{_libdir}/libeina.so.*

%files -n libeio1
%defattr(-, root, root)
%{_libdir}/libeio.so.*

%files -n libembryo1
%defattr(-, root, root)
%{_libdir}/libembryo.so.*

%files -n libemile1
%defattr(-,root,root)
%{_libdir}/libemile.so.*

%files -n libemotion1
%defattr(-,root,root)
%{_libdir}/libemotion.so.*

%files -n libeo1
%defattr(-, root, root)
%{_libdir}/libeo.so.*

%files -n libeolian1
%defattr(-, root, root)
%{_libdir}/libeolian.so.*

%if %physics_present
%files -n libephysics1
%defattr(-,root,root)
%{_libdir}/libephysics.so.*
%endif

%files -n libethumb1
%defattr(-,root,root)
%{_libdir}/libethumb.so.*

%files -n libethumb_client1
%defattr(-,root,root)
%{_libdir}/libethumb_client.so.*

%files -n libevas1
%defattr(-, root, root)
%{_libdir}/libevas.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/elementary_codegen
%{_bindir}/elementary_test
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so
%{_libdir}/cmake/
%{_includedir}/efl-1/
%{_includedir}/efl-cxx-1/
%{_includedir}/ecore-1/
%{_includedir}/ecore-audio-1/
%{_includedir}/ecore-avahi-1/
%{_includedir}/ecore-con-1/
%{_includedir}/ecore-evas-1/
%{_includedir}/ecore-fb-1/
%{_includedir}/ecore-file-1/
%{_includedir}/ecore-imf-1/
%{_includedir}/ecore-imf-evas-1/
%{_includedir}/ecore-input-1/
%{_includedir}/ecore-input-evas-1/
%{_includedir}/ecore-ipc-1/
%{_includedir}/ecore-x-1/
%{_includedir}/eldbus-1/
%{_includedir}/elementary-1
%{_includedir}/elocation-1/
%if %luajit_present
%{_includedir}/elua-1/
%endif
%{_includedir}/edje-1/
%{_includedir}/eet-1/
%{_includedir}/eeze-1/
%{_includedir}/efreet-1/
%{_includedir}/eina-1/
%{_includedir}/eio-1/
%{_includedir}/embryo-1/
%{_includedir}/emile-1/
%{_includedir}/emotion-1/
%{_includedir}/eo-1/
%{_includedir}/eolian-1/
# C++ headers
%{_includedir}/ecore-cxx-1
%{_includedir}/edje-cxx-1
%{_includedir}/eet-cxx-1
%{_includedir}/eina-cxx-1
%{_includedir}/eio-cxx-1
%{_includedir}/eldbus_cxx-1
%{_includedir}/elementary-cxx-1
%{_includedir}/eo-cxx-1
%{_includedir}/eolian-cxx-1
%{_includedir}/evas-cxx-1

%if %physics_present
%{_includedir}/ephysics-1/
%endif
%{_includedir}/ethumb-1/
%{_includedir}/ethumb-client-1/
%{_includedir}/evas-1/
%if %enable_wayland
/usr/include/ecore-drm2-1/
/usr/include/ecore-wl2-1/
/usr/include/elput-1/
%endif
%{_datadir}/eolian/
%{_datadir}/ecore_x/checkme
%{_datadir}/evas/checkme
%{_datadir}/gdb/

%files -n edje
%defattr(-, root, root)
%{_bindir}/edje_*
%{_datadir}/edje
%exclude %{_datadir}/edje/examples
%{_libdir}/edje
%{_datadir}/mime/packages/edje.xml

%files -n elementary
%defattr(-, root, root)
%{_bindir}/elementary_*
%exclude %{_bindir}/elementary_codegen
%exclude %{_bindir}/elementary_test
%{_libdir}/libelementary.so.*
%{_datadir}/elementary
%exclude %{_datadir}/elementary/examples
%exclude %{_datadir}/elementary/themes/*
%{_datadir}/icons/hicolor/
%{_datadir}/applications/elementary*
%{_libdir}/elementary

%files -n elementary-examples
%defattr(-, root, root)
%{_datadir}/elementary/examples

%files -n elua
%defattr(-, root, root)
%{_datadir}/elua

%files -n embryo
%defattr(-, root, root)
%{_bindir}/embryo_*
%{_datadir}/embryo

%files -n enlightenment-theme-upstream
%defattr(-, root, root)
%{_datadir}/elementary/themes/default.edj

%files -n enlightenment-theme-dark
%defattr(-, root, root)
%{_datadir}/elementary/themes/dark.edj

%files -n enlightenment-x-dark-icon-theme
%defattr(-, root, root)
%{_datadir}/icons/Enlightenment-X-dark

%files -n evas-generic-loaders
%defattr(-,root,root)
%{_libdir}/evas/utils/

%if %generic_players_present
%files -n emotion-generic-players
%defattr(-,root,root)
%{_libdir}/emotion/generic_players/
%endif

%if %{build_doc}
%if %{build_doc_man}
%files doc-man
%defattr(-, root, root)
%{_datadir}/man/*/*
%endif #build_doc

%files doc-html
%defattr(-, root, root)
%doc doc/html/*

%endif #build_doc

%files examples
%defattr(-, root, root)
%{_datadir}/*/examples
%exclude %{_datadir}/elementary/examples

%files testsuite
%defattr(-, root, root)
%{_datadir}/ecore_imf/
%{_datadir}/eeze/
%{_datadir}/efreet/
%{_datadir}/ethumb_client/
%exclude %{_datadir}/ethumb_client/examples

%changelog
* Thu Oct 20 2016 sflees@suse.de
- Update to 1.18.2 bugfix release
  * efreet: fix command generation by fixing string buffer expansion
  * elm_toolbar: Show icons in icon only mode
  * Evas_Device: Use eo_del() in evas_device_del().
  * ecore_evas x: dont set withdrawn to fals on show but wait for wm state (T4699)
  * ecore-evas x: fix intial iconified state so terminology -I works
  * evas: Fix evas_object_smart_clipped_clipper_get
  * epp: fix memory corruption when using #warning and #error
  * fix edje_cc segv when compiling bling bling theme
* Sun Sep 18 2016 sflees@suse.de
- Update to 1.18.1
  * doc: put shot.sh into dist to allow make doc run from tarball
  * examples: evas: ensure filter example lua files land in tarball
  * elm: Install elm test images in the right place
  * FDO icon theme: correct Inherits value
  * edje - fix missing vector field frees, copies, handling etc.
  * FDO icons: correctly list the intl icons in theme description file
  * Fix elementary build when xkbcommon is in a non standard location
  (T4413)
  * ecore_audio: fix distribution of eolian files
  * eina: overhaul Mac OS X semaphores (T4423)
- Remove fix-xkbcommon-compile.patch (upstream)
* Wed Aug 31 2016 schwab@suse.de
- Disable NEON on armv6
- Configure with --enable-lua-old and exclude all elua files if luajit is
  not present
* Sat Aug 27 2016 simonf.lees@suse.com
- Remove poppler from OS's that don't support it
* Thu Aug 25 2016 simonf.lees@suse.com
- remove vlc on OS's that dont support it
* Thu Aug 25 2016 simonf.lees@suse.com
- Move things with a different version to last in the list.
* Wed Aug 24 2016 simonf.lees@suse.com
- Remove efl-1.11.3-fix-bashisms.patch wasn't going to be included
  upstream and breaks colored output.
* Wed Aug 24 2016 simonf.lees@suse.com
- We now have a libelput1 under wayland
* Mon Aug 22 2016 sflees@suse.de
- Add fix-xkbcommon-compile.patch to fix wayland build
* Fri Aug 19 2016 sflees@suse.de
- Attempt to add back wayland build support - I suspect it has a bug
* Fri Aug 19 2016 sflees@suse.de
- Update to 1.18.0
  * Major Packaging changes
  * elementary evas-generic-loaders and emotion-generic-players(not
    currently built), have been merged into this package
  * New FDO Icon themes added and created in its own package
  * The following patches have been removed (fixed upstream)
  * fix-upstream-evas-opacity-check.patch
  * fix-upstream-evas-opacity-rect.patch
  * fix-upstream-evas-trans-rect.patch
  * New Software features
  * FDO Icon themes
  * EFL gained a virtual path subsystem
  * Many internal changes that will become visable in 1.19
  * With Elput we introduced a new library for input handling based on libinput.
  * Many other bugfixes and minor enhancements
* Tue Jul 19 2016 sflees@suse.de
- A series of patches to fix some themes
  * fix-upstream-evas-opacity-check.patch
  * fix-upstream-evas-opacity-rect.patch
  * fix-upstream-evas-trans-rect.patch
* Thu Jun 23 2016 sflees@suse.de
- Bump to 1.17.2
  * evas: gif loader - fix out of bounds access on cmap of invalid pixels
  * evas - gif loader - handle missing colormap
  * evas sw render: cutout rects may be used in multiple threads (T3348)
  * eina hash - fix stringshare key comparison function (T3638)
  * efl - fix many bounds over/underflow where we use int for ptr cmp
  (T3638)
  * examples: evas: add all needed files to SOURCES to make sure they
  are distributed
  * ecore_x: fix emission of ECORE_X_EVENT_XKB_NEWKBD_NOTIFY
- The following patches have been removed due to being fixed upstream
  * fix-evas-sw-cutout-rects-threads.patch
  * fix-evas-sw-spinlock-free.patch
  * fix-evas-gif-loader-CVE-2014-9762.patch
  * fix-evas-gif-loader-pixel-lookup-decode.patch
  * fix-evas-gif-loader-cmap-null.patch
- 1.17.1 changes
  * Ecore con: Close server socket fd on failure.
  * eina: invalidate last add/del rects when the opposite operation occurs
  * Evas textblock: Fix markup cache, was completely broken.
  * Edje textblock: Assume textblock knows to deal with setting the
  same markup.
  * ecore-wl2: do not send double mouse up events during input ungrab
  * edje: clear pending programs upon calling stop_programs_on()
  * Evas textblock: fix cached markup's stringshare refs
  * edje entry: fix bug not to call
  ecore_imf_context_cursor_position_set when deleting surrounding text
  * evas: Fix improper extra library linkage for various engines
  * ecore-drm: Add missing initializer for fb2 command
  * ecore-evas-wayland: Remove include for old Ecore_Wayland library
* Thu Apr  7 2016 sflees@suse.de
- Fix crash due to threadsafty issue fix-evas-sw-cutout-rects-threads.patch T3348
- Fix spinlock handling leading to deadlock (fix-evas-sw-spinlock-free.patch)
- Fix mulitple possible crashes in gif loader that could lead to DOS attacks
  (CVE-2014-9762 boo#963796, boo#963797, boo#973759)
  * fix-evas-gif-loader-CVE-2014-9762.patch
  * fix-evas-gif-loader-pixel-lookup-decode.patch
  * fix-evas-gif-loader-cmap-null.patch
* Wed Feb  3 2016 sleep_walker@opensuse.org
- use full URL for Source
* Wed Feb  3 2016 simon@simotek.net
- Bump to 1.17.0
  What's New
  Even if we had only three months a lot has happened during the 1.17 release cycle.
  We only cover some highlights here. For the full list please look at the NEWS files
  if you are interested in the details. As usual we have been working on fixing bugs,
  optimising our code for speed and memory footprint and adding new features.
  Wayland / DRM
  New APIs for keymap cache and left-handed mouse have been added in
  ecore_wayland while a new wayland module helped to fix some bugs with
  window sizing problems we have seen.
  Evas
  The biggest changes in Evas have been adding support for hyphenation
  wrap style and the addition of a TBM (Tizen Buffer Management) surface in
  the Evas engine.
  Eina
  Many of the changes in Eina during this release are towards better support of
  vector graphics coming in form of our Ector library. They include eina_bezier,
  eina_vector, eina_matrix and eina_quaternion updates.
  Additonally we added APIs for base64 encode and decode functionality.
  Edje
  New support for size_class as well as text_class syntax have been added and
  we can now embed TGV files directly into an edje file.
  Bindings
  JavaScript Eolian binding have been added as a first step towards JavaScript
  bindings for the EFL.
* Tue Jan 19 2016 sleep_walker@opensuse.org
- EFL now requires libsystemd >= 209 which is not available on
  openSUSE 13.1 - disable systemd support for that distro
* Sun Dec 27 2015 simon@simotek.net
- Bump to 1.16.1
    edje: initialize map.zoom values to fix old *.edj compatibility issues.
    ecore-evas wayland: use correct values when updating wayland window size
    ecore-evas drm: null global device pointer after free (T2844)
    ector: disable NEON build. (T2851)
    ecore-evas-wl: Fix issue of improper window geometry (T2842)
    ecore-drm: Don't send mouse_move event too early
    ecore-evas-drm: Send fake mouse_move event after registering (T2854)
    ecore-wayland: Make ecore_wl_window_maximized_get return proper values
    ecore-evas wayland: enforce frame/state change triggering before move/resize (T2841)
    ecore-wayland: return only the relevant state value for maximize/fullscreen
    ecore-wayland: rewrite maximize/fullscreen set functions for consistency (T2841)
    edje: fix edje RTL description in case of custom state of a part
    emotion - fix gst back-end to report title and other meta changes
    evas: do not add unclipped smart members to the master clip
    evas: trigger FLUSH_PRE callback prior to kicking off an async render
    evas: do not unset/delete master clip after every frame
    efreet_icon_cache_create: null theme eet file to avoid double free
    edje_cc: track parts for descriptions, ensure part types match when inheriting
    edje_cc: terminate filter file scripts
    edje_cc: correctly copy part descriptions when setting part type
    edje_cc: redo part type setting to be even more correct
    evas: unset pointer ungrabs when using EVAS_OBJECT_POINTER_MODE_NOGRAB_NO_REPEAT_UPDOWN
    evas: handle existing pointer grabs when changing object pointer mode
    efreetd: send ipc for EFREET_EVENT_DESKTOP_CACHE_BUILD...always (T2733)
* Thu Nov 12 2015 simon@simotek.net
- Swap back to pkgconfig(luajit) for now, hopefully factory will be fixed soon
  using anything else makes obs happy but still fails configure due to a
  incorrect pc file
- Bump to 1.16.0
    Wayland
    The focus of work on our wayland areas have been stabilisation and filling of gaps for the upcoming E20 release. To make 1.16 a solid base for it work has been gone to make the evas drm engine more solid and adding support for things like adjusting keyboard repeat and rate delay, etc
    Evas GL
    Besides some normal optimisation evas GL got support for the new partial update extension.
    Eina
    To aid debugging and tooling infrastructure eina thread does now support setting thread names and many internal threads are already named.
    Eo (BETA)
    A lot of optimisation, memory as well as CPU time, has been gone into EO this time. Initially we hoped to declare EO stable after this development cycle, but we need to postpone this for at least another cycle as some more optimisation are being planned which might break ABI.
* Mon Oct 26 2015 sleep_walker@opensuse.org
- depend on luajit-devel instead of pkgconfig(luajit), it seems to be
  unifying symbol among distributions
* Thu Oct  8 2015 simon@simotek.net
- bump to 1.15.2 Feature Release
  ecore_wayland: bind and destroy session_recovery interface correctly.
  ecore_pipe: add write fdset and except fdset.
  edje: Fix double free scenario caused by static pointer.
  Evas textblock: fix case of own_closer in style_set (T2654)
  evas - fix texture context bind reset in gl common using wrong texture
  eldbus: add dbus_pending NULL check
  ecore_evas-x11: unset withdrawn state when window is mapped (T2745)
  upower: free version string splits
  ecore_win32: fix the mouse out behavior.
  ecore-audio: defer deletion of pulseaudio timer until after event processing
  doc/eldbus: fix parameter in document
  edje_cc: Fix inheritance of "no_render" flag
  eldbus - make method calls less crasy since libdbus likes to abort
* Thu Oct  1 2015 sleep_walker@opensuse.org
- add forgotten dependencies for wayland into devel subpackage
- drop neon-cflags.patch as it seems to be fixed already
* Sun Sep 27 2015 sleep_walker@opensuse.org
- some more cleanup
* Sun Sep 27 2015 sleep_walker@opensuse.org
- Enable Wayland support and DRM support
- cleanup macros
- fix systemd support
* Mon Sep 21 2015 schwab@suse.de
- Require pkgconfig(lua-5.1) instead of pkgconfig(lua) < 5.2
* Tue Sep 15 2015 simon@simotek.net
- Bump to 1.15.1 Bugfix
    ecore_evas: fix first render skip in several windows
    ecore-wl: do not nul terminate drops
    Evas language: fix script run code (T2670)
* Wed Sep  2 2015 simon@simotek.net
- Only use luajit or lua and if using lua use less then 5.2
* Thu Aug  6 2015 simon@simotek.net
- bump to 1.15.0 Feature release
  Eo
  Cleaned up object creation (constructor and finalizer) and improved
  error handling. This includes adding a return value to eo_constructor()
  and removing eo_error_set(). Object creation and error handling should
  now be more consistent.
  Ecore DRM
  Several new API functions were added for working with Outputs, along
  with improvements to rendering speed and the addition of support for
  hardware-accelerated rendering.
  Ecore Wayland
  Support added for version 5 of the xdg_shell protocol. With many
  other enhancement we no depend on version >=1.8.0 of the wayland
  libraries (client, cursor and server). Wayland input methods gained
  support for autocapital, language and password mode.
  Eolian
  Several new convenience APIs were added, new documentation format
  and generator was introduced and many existing EFL/Elementary docs
  were converted into the new format (old format is considered deprecated).
  The Eo file grammar was made stricter and additional error checks were
  added. Preparations for enabling of the Eo file validator were made, but
  are not yet complete.
  Edje / EDC
  A new flag has been added to parts: "no_render". When set to 1, the part
  should never be visible on the canvas, but can still be used as a mask or
  a proxy source.
  It is now possible to change a part's clipper by setting an overriding
  clip_to value in the state description.
  The text and image filters for evas are now better integrated in EDC,
  allowing themes to use filters with animations, and refer to external
  Lua files.
  Portability
  Many fixes for better Windows support have been added. On the Mac OS X
  side support for CoreAudio was added to ecore_audio to play sounds.
* Mon Jul 20 2015 simon@simotek.net
- bump to 1.14.2
    pkg-config: fix portability issue on Windows. (T2458)
    edje: set GROUP/SWALLOW/EXTERNAL pass events based on mouse events
    eina semaphore lock - don't wake up because of signals
    ecore: null cb function is unacceptable.
    Evas filters: Fix blend with color with rgba buffers
    Evas: Remove shader_3d .x generated file from BUILT_SOURCES
    eina/simple_xml_parser: don't parse the <, > in the attribute string.
* Wed Jun 10 2015 simon@simotek.net
- bump to 1.14.1
  Eolian/Generator: fix enums generation (T2400)
  rg_etc: Correct ifdef to keep function available for debug build
  Evas GL common: Skip shaders generation if there is no change
  Evas filters: Fix glReadPixels usage for EGL
  evas canvas: add exceptional handling in invalid input case.
  edje: fix back edje_watch.
  evas canvas: fix insane mouse move events on proxy source.
  evas: make image_size_get() return the actual image size
* Wed May 13 2015 schwab@suse.de
- Fix file list for !%%luajit_present
* Wed May 13 2015 simon@simotek.net
- Build with gstreamer 1 if avalible otherwise gstreamer 0.10 not
  both
* Thu May  7 2015 simon@simotek.net
  = What's New =
  Even if we had only three months a lot has happened during the 1.14
  release cycle.
  We only cover some highlights here. For the full list please look at the
  NEWS files
  if you are interested in the details. As usual we have been working on
  fixing bugs,
  optimizing our code for speed and memory footprint and adding new features.
  Below we describe just some highlights and by no means provide a full list.
  == Build & Distribution ==
  While we have supported parallel building a la make -j X for a long time
  we had
  problems with supporting it for the install target. Finally this is
  solved and you can
  use -j X for all your make calls now.
  == Emile ==
  Emile provides a library to bring together serialization, compression
  and ciphering.
  It is a low-level library and can be used by anything above Eina. It
  came along with a
  lot re-factoring of our current code base to make use of it and
  de-duplicate a lot of
  existing code. More refactoring is expected in ecore_con_ssl ciphering
  and general
  image compression.
  == Ector and Evas_Object_VG (BETA) ==
  Ector provides a new retained rendering library that is used by Evas to
  provide
  Evas_Object_VG. This is a new Evas_Object that provides a vector graphics
  scene graph following the SVG specification. It will be considered a bug
  if some
  behaviour does not follow the SVG standard. Evas_Object_VG provides 3
  kind of objects
  for now: shape, as well as linear and radial gradients.
  Apart from the authors you will see with git, two big thanks need to
  be mentioned here. First special thanks goes to Jorge Luis "turran"
  Zapata who has been
  developing his own vector stack: http://enesim.org/ since a long time
  now and
  shared his technical advice and also strongly influenced the design. We
  evaluated
  the possibility to include enesim in the EFL, but that wasn't really
  possible, sadly.
  Another thanks goes to Jose O Gonzalez who supported and answered a lot
  of my
  questions and helped me a lot, too.
  == EModel (BETA)==
  Efl.Model is an attempt to provide a data model as in the M of MVC to
  the EFL core.
  A first implementation and example is provided as a Eio.Model. This,
  together with
  some patches in Elementary, should provide a fully asynchronous and fast
  modern MVC
  system for the EFL.
  The API has been in review since last summer, but will still only be
  accessible
  with EFL BETA API and EO for now. More data models should come in the
  future.
  == Eo / Eolian ==
  Eolian now supports parsing of @nullable and @optional args on function
  parameters and is able return the class from a function and determine if a
  function is implemented.
  Eo remove some GCCism and make it more portable to work with other
  compilers.
  == EvasGL  ==
  Together with a lot bug fixes Evas GL got support for 3.0 and automatic
  fallback to indirect rendering when the scene has not changed.
  == Evas ==
  The gl_x11 Evas engines gained support for the TBM native surface type
  (for Tizen)
  as well as support for bitmap embedded color fonts.
  == Ecore_Evas ==
  With eetpack we added a small utility for packing files (images) into
  eet files.
  == Edje ==
  Edje received many updates for its edit capabilities, especially around
  box and
  table. It also received 3D camera properties in edje_cc, colorclass
  updates, zoom
  effects for map and more.
  == Ecore DRM ==
  Many new features and bug fixes have been put into ecore_drm this cycle
  while its
  usage in the Enlightenment Wayland compositor is progressing.
  Functionality as
  been added to support DPMS on outputs, setting output, marking
  framebuffers as
  dirty, disabling an output, ouput EDID parsing as well as support for
  libinput 0.8
  and higher.
  == Unit Testing ==
  We improved out test coverage from 38.5%% to 39.3%% during the 1.14
  release cycle. This does
  not sound much but given the size of our code base and the amount of new
  code added
  even a small increase of 0.8%% coverage is a good step forward.
* Tue Apr  7 2015 simon@simotek.net
- bump to 1.13.2 bugfix release
  * ecore-wl fullscreen state is based on either window type or attribute
  * ecore/ecore_audio: fix timer control logically wrong.
  * Evas GL: Fix list of extensions with GLESv1
  * evas/clip: If the clipper is image or has color, clipped area
  should be redrawn.
  * eina: safety check for NULL pointer
  * evas: prevent crash.
  * evil: fix access to a file mapping object
  * ecore_idler: + null check.
* Mon Mar 23 2015 schwab@suse.de
- Fix file list
* Sun Mar 15 2015 simon@simotek.net
- bump to 1.13.1 bugfix release
  * Evas masking: Fix some garbage pixels with the SW engine
  * Evas masking: Fix potential issues with map & masking
  * Evas masking: Force BLEND mode in case of image masking (GL)
  * ecore-drm should not use sscanf when getting logind vt
  * ecore/drm: Fix libinput >= 0.8 check
  * ee-win32 probably might compile now
  * Evas GL: Fix leak of surfaces with GLES 1.1
  * eina + ecore - fix main loop thread id tracking on fork
* Mon Feb 16 2015 simon@simotek.net
- bump to 1.13.0 feature release
  * New elocation library (beta)
  * New elua library
  * More api's converted to eo/eolian
  * Evas 3d - gained support for .ply export/import
  * Evas - supports image masks
  * Evas GL - Shaders generated and loaded from a makefile
  * Eet - support certificate signing
  * eldbus - Lots of eldbus-codegen fixes, you should regen your code
  * wayland - uses libinput (not used in openSUSE yet)
- Packaging changes
  * remove second half of efl-1.11.3-fix-bashisms.patch file no longer exists
* Mon Jan 26 2015 simon@simotek.net
- Disable xine on Fedora + SLES, enable  on all others. Previously
  It was enabled for everything other then fedora
* Sun Jan 25 2015 simon@simotek.net
- Bump to 1.12.3 bugfix
  * Edje_Edit: Add sound samples into generated code for the group.
  * ecore_con: the timer callback is waiting for the Eo object not its
  private data. (T1962)
  * evas textgrid - fix drawing of codepoints that are 0
  * eo: Fix bad addressing in _eo_classes array
  * Eo tests: Fix bad free in eo_test_value
  * ee engines should not crash when re-setting the same title/name_class
* Thu Jan  8 2015 simon@simotek.net
- Bump to EFL 1.12.2 New feature release
  * Disable neon-cflags.patch should be fixed upstream (also doesn't apply
    cleanly)
  * New OpenGL Application Features
  * Vastly improved lua bindings
  * lots of internal eolian fixes
  * Lots of other bugfixes and enhancements
  * Adds libefl.so.1
* Fri Nov 21 2014 simon@simotek.net
- Bump to EFL 1.11.5 bugfix
  Remove 0001-unbreak-nvidia-gl.patch was the only fix in efl 1.11.4
  * Eo id: Fix id security checks for invalid objects.
  * Fix bug ecore_imf_context_cursor_position_set was not called when
  cursor was moved by ECORE_IMF_CALLBACK_SELECTION_SET
* Sun Oct 19 2014 Led <ledest@gmail.com>
- fix bashisms
- add patches:
  * efl-1.11.3-fix-bashisms.patch
* Thu Oct 16 2014 simon@simotek.net
- Add 0001-unbreak-nvidia-gl.patch
  f294fdc3a1d0c648353eae2185ca2c53e4630949 introduced a fix for a
  alpha issue but this fix also broke gl for all users so its being
  reverted atleast for the 1.11.3 release
* Thu Oct 16 2014 simon@simotek.net
- Bump to 1.11.3 bugfix release
  * Evas filters: Fix parsing of argument lists (T1615)
  * edje_program: added signal "focus,part,out" when focus is discarded
  * efl - vsync - deal with both broken and non-broken libdrm
  * ecore_x_vsync - fix tiny leaklet of drmversion
  * Evas Textblock: Fix bad empty line add on wrapping
  * ecore vsync - fix up dual nvidia + dri/drm driver discovery
  * eeze - sensors - ints for sensor events were decld in .h - and never .c
  * Evas Textblock: Fix native width of BiDi text (T1532)
  * ecore_imf/ibus : provide to get surrounding text
  * evas: GL_X11 context need to always be with alpha or it will fail
  to change.
* Thu Sep 18 2014 schwab@suse.de
- Don't disable neon-cflags.patch
- valgrind exists also on aarch64
* Wed Sep 17 2014 simon@simotek.net
- The bug effecting the doco build is #897122
* Tue Sep 16 2014 simon@simotek.net
- Disable but keep the neon-cflags.patch, will confirm with the author
  that this was fixed properly upstream before removing the patch entirely
- Temporarly disable generating docs as factory is complaining of a missing epstopdf.
* Tue Sep 16 2014 simon@simotek.net
- Bump to 1.11.2 bugfix release
  * shutup ecore-x vsync stupid log domain failures
  * emotion - fix calling pos update cb for gst1 module in frame new
  * emotion - audio volume - leave as-is on file open/init
  * edje_cc now throws an error during link combination when the
  current part has no name
  * evas: fix build on armv7l. (T1620)
  * edje embryo stop_program() should stop pending actions
  * evas: let's freeze the canvas, shall we ?
* Thu Sep 11 2014 simon@simotek.net
- Try and fix fedora build
* Mon Sep  1 2014 schwab@suse.de
- eolian.patch: remove unused patch
- neon-cflags.patch: use NEON_CFLAGS for all users of <arm_neon.h>
- Disable elua subpackage if there is no luajit
* Fri Aug 29 2014 simon@simotek.net
- Update to 1.11.1
  * Major packaging changes:
  * Added elua package (efl luajit bindings)
  * Setup efreet and ethumb systemd user daemons properly
  * Major upstream changes
  * Eolian passer rewrite
  * ETC2 image decode support and etc2 texture format support
  * New loader for the DDS image file format.
  * elua (lua wrapper and bindings)
  * Many coverty and other bugs fixed
- Include un approved Request 244211 (if i knew it existed i would have approved
  It first
  Mon Aug 11 11:48:25 UTC 2014 - schwab@suse.de
  - Require luajit only for supported architectures
  - eolian.patch: fix type mismatch
* Thu Aug  7 2014 simon@simotek.net
- re enable ephysics now that bullet is in factory
  This means that a new libephysics1 package will be created
* Wed Jul 23 2014 simon@simotek.net
- remove shebang.patch and instead make the files -x
  Python pretty printers don't need execute permissions
* Mon Jul 21 2014 simon@simotek.net
  * Update to 1.10.2
  * evas/textblock: check item's type before returning result.
  * Evas textblock: Fix issue with edje fonts not being used. (T1331)
  * Evas/Textblock: Introduce PS deletion bug test and fix
  * evas/gl - fix to render grayscale with transparency format in gl backened.
  * edje: textblock style loading changed
  * lz4: fix possible security issue. (CVE-2014-4611)
  * Separate lz4 patch no longer required.
  * 0001-lz4-fix-possible-security-issue.patch removed
* Mon Jun 30 2014 sleep_walker@suse.cz
- 0001-lz4-fix-possible-security-issue.patch
  fix for CVE-2014-4611
* Wed Jun 11 2014 sleep_walker@suse.cz
- bump to 1.10.1
  Fixes:
  * recursively hide edje group objects on edje hide
  * Evas textblock: Fix wrong advance calculation when bidi is disabled.
  * Eolian: fix issue for Windows.
  * evas loader - redo gif fix so it doesn't break everything
  * Evas: Remove invalid cast and fix warning/bug on windows
  * Win64: Fix a bunch of warnings
  * eina/file - revert 18be4c50d9990c82ed9ce4269b7820e61f772699
  * Eolian: Fix class look up.
  * Evas textblock: Fix crash when cutting ligatures with formats. (T1308)
  * eo: force zeroing memory on non Linux system.
  * po: Set initial values for Language-Team in all po files
  * po: Set initial language value in po file where it is missing
* Mon May 26 2014 sleep_walker@suse.cz
- add forgotten path
* Mon May 26 2014 sleep_walker@suse.cz
- bump to 1.10.0 release
  Fixes:
  * ecore-drm: Send proper keycode to ecore key event, and remove erroneous
    variable.
  * edje: Edje_Edit - fix wrong behaviour on draggable.event processing
    while deleting parts.
  * evas/text: fix abnormal ellipsis logic when harfbuzz is enabled.
* Mon May 19 2014 sleep_walker@suse.cz
- bump to 1.10.0-beta3
  Fixes:
    edje/Edje_Edit: _edje_edit_real_part_add init field of
    Edje_Real_part
    fix ecore_con_url using 100%% cpu and just let fd handler do
    work (T1251)
    fix behavior of edje entry to match other toolkit
    entires (T1229)
    fix ecore_thread_global_data_wait to work when no data exists
    yet
    Eo: Fix deref after free. (CID1039898)
    evas/render - fix segfault because of null cow access. (T1252)
* Mon May 12 2014 sleep_walker@suse.cz
- bump to 1.10.0-beta2
  Features:
  * eina: add eina_inarray_resize @feature.
  * eina: add eina_accessor_clone and update all Eina_Accessor to take
    advantage of it.
  * eina: add a C++ bindings to Eina @feature.
  * @feature - Apply NEON intrisics improvement to rotation
  * Evas textblock: Implemented mid-contextualization formatting.
  * evas-drm: Add evas_drm to build order for Evas drm engine
  * evas-drm: Add Evas Drm Engine (software only currently)
  * evas-drm: Add option to enable drm hardware acceleration
  * evas-drm: Start on hardware-accel support for drm
  * evas-drm: Triple buffer by default.
  * evas-drm: Fix opening of drm card
  * evas-drm: Start on hardware Plane support
  * evas-drm: Add vsync/non-vsync support to evas_drm code
  * evas-drm: Ddd support for setting vsync with env variable.
  * edje: @feature to include license in edje file. (T1027)
  * edje: add support of last input entered in password mode to be always
    visible in entry.
  * eio: make it possible to limit the amount of memory used by threads.
  * eina: make Eina_Error thread safe.
  * edje: add AUTHORS and more than one license file to Edje.
  * ecore-drm: Add Ecore_Drm code
  * ecore-drm: Add configure.ac autofoo for ecore-drm
  * Eet: Added vieet a tool to edit eet files.
  * eina-cxx: Added eina_log support for C++, using IOStreams syntax
  * ecore-drm: Add API function to return the vt fd
  * ecore-drm: Add dependency on xkbcommon
  * ecore-drm: Add code pass along key events to ecore_event
  * ecore-drm: Set the window of the Ecore_Event_Key structure
  * ecore-drm: Add code to handle modifiers in a key event
  * ecore-drm: Add code to handle mouse input
  * evas/font: Added evas_font_path_global_* APIs.
  * Eo: Made eo id for classes a bit more secure.
  * ecore-drm: Add API function to return the drm device name
  * ecore-evas-drm: Add support for resize and move callbacks
  * ecore-evas-drm: Add support for setting focus_in & focus_out callbacks
  * ecore-evas-drm: Add support for setting the mouse in & mouse out
    callbacks of the ecore_evas
  * ecore-evas-drm: Add support for ecore_evas_move function
  * ecore-evas-drm: Add support for ecore_evas_move_resize
  * ecore-evas-drm: Add support for rotation set
  * ecore-evas-drm: Add support for setting the title of the ecore_evas
  * ecore-evas-drm: Add support for ecore_evas_name_class_set
  * ecore-evas-drm: Add support for setting size hints
  * ecore-evas-drm: Add support for ecore_evas_object_cursor_set
  * ecore-evas-drm: Add support for ecore_evas_layer_set
  * ecore-evas-drm: Add support for ecore_evas_iconified_set
  * ecore-evas-drm: Add support for ecore_evas_borderless_set
  * ecore-evas-drm: Add support for maximized, fullscreen, withdrawn, and
    ignore_events settings
  * ecore-evas-drm: Add support for alpha & transparent setting
  * ecore-evas-drm: Add support for setting aspect of ecore_evas
  * edje_cc now supports program.targets keyword for adding N targets in one
    line
  * edje_cc now supports group.remove for removing parts from inherited groups
  * edje_cc now supports part.inherit for copying attributes of parts within
    a group more easily
  * eeze_udev gets more helper functions
  * edje_cc now supports program.sequence for more easily chaining programs
    together
  * edje_cc can now use group.program_remove to remove inherited programs
  * edje_edit: function that will return the source code of the loaded edje
    edit object.
  * ecore-drm: Add API function for getting size of an output.
  * eet-cxx: add implementation for eet C++.
  * Eina: Fix mistake in a previous patch
  * +eeze_udev_get()
  * eina-cxx: Modified eina C++ log use syntax
  * Move to Eo2 and adjust code accordingly
  * Eo: eo_do now returns called func's value + default ret fix.
  * Edje: Use LOSSY_ETC1 instead of LOSSY
  * Evas TGV: Add direct copy mode for ETC1/ETC2 data
  * Evas: Add support for ETC2 in the TGV loader
  * Evas gl_x11: Add ETC2 support to the GL/X11 engine
  * edje_cc now supports "lazEDC", a more concise version of EDC
  * edje_cc now supports the group.inherit_only attribute
  * edje_cc now supports targets for SIGNAL_EMIT actions
  * edje_cc now has the program.groups and X.target_group keywords for target
    grouping
  * edje_cc now supports group.program_source for specifying a default source
    in programs
  * eina_hash now has helper functions for managing lists inside hashes
  * edje_cc now supports part.description.link for single line state changes
  * edje now has the group.script_recursion flag for permitting unsafe embryo
    recursion (T905)
  * eolian_cxx: initial version of the EFL C++ Bindings Generator.
  Fixes:
  * ecore: @fix race condition when using
    ecore_main_loop_thread_safe_call_sync.
  * examples/evas: Set a proper format string for fprintf
  * evas-drm: Set Magic on the Ecore_Evas
  * evas-drm: Fix configure.ac typo for drm hw accel argument
  * evas-drm: Call framebuffer_set earlier in the process so that the screen
    gets updated sooner.
  * evas-drm: Fix opening of drm card
  * evas-drm: Forgot to install the evas drm engine pkgconfig file
  * evas-drm: cleanup outbuf structure and functions
  * evas-drm: cleanup evas_engine code for drm sw engine
  * evas-drm: Add vsync/non-vsync support to evas_drm code
  * evas-drm: Ddd support for setting vsync with env variable.
  * Evas: Fix build issue when building without drm
  * ecore_avahi: @fix timeout to avoid pitfall of forever frozen timer.
  * evas-drm: Fix evas drawing delay for cedric
  * Evas filters: Avoid CRI message when using the GL engine
  * Evas filters: fix black squares with the GL engine
  * Evas filters: fix random cases of 'dancing text'
  * Evas filters: fix clip to target calculation
  * edje: fix edje_watch to not pass the '\n' to eio_monitor.
  * edje: let's allow to reset escaped text to NULL. (T821)
  * evas-drm: Don't call framebuffer set from within send function
  * evas-drm: Check buffer validity in swap function
  * evas-drm: Fix setting cached image alpha flag
  * ecore-evas-x: Fix resource leak from eina_str_split_full usage
    (CID1188012)
  * eo: memory waste at mixin class elaboration
  * Edje entry: fix bug preedit text is committed in the next entry when Tab
    key is pressed.
  * edje/edje_edit: fix part add bug
  * edje/edje_edit: Check for NULL
  * evas-drm: Remove hardware acceleration fields from engine structure
  * evas-drm: Add headers for hardware acceleration
  * ecore-drm: Add missing define
  * ecore-drm: Comment out Gbm Format
  * efl: Fix installing ecore-drm pkgconfig file
  * efl: Fix build with drm disabled
  * evas/fb: avoid crashing it outbuf setup failed.
  * evas: @fix convert to 24bits so dst_jump is used properly.
  * evas/fb: expose and call fb_freemode() and fb_cleanup()
  * ecore_fb: @fix use of uninitialized values reported by valgrind.
  * evas/fb: use stride instead of width.
  * eina: Fix bug in eina_convert_itoa (T1062)
  * edje/entry: fix to not emit "changed" signal in unnecessary cases of
    password mode.
  * edje: do not leak in case of error. (CID1191310, CID1191311)
  * evas-fb: Fix broken build of efl
  * ecore-drm: Initialize ecore_event on ecore_drm_init
  * edje - allow lager clipper space.
  * eina-cxx: Fixes compilation errors and warnings in clang
  * evas: Replace EINA_LIST_FOREACH_SAFE to while statement.
  * evas: @fix use the correct composite op on lines with pixman
  * Evas filters: Fix 1-D blurs on a single buffer
  * Evas filters: Fix memory leak when destroying the object
  * ecore-x: Predefine Ecore_X_Atom and Ecore_X_Icon
  * ecore-evas: Predefine Ecore_X_Atom and Ecore_X_Icon
  * evas: restore behavior of stack above and below when no rel is
    specified. (CID1191907, CID1191906)
  * Ecore x: Add back the two symbols removed in 1.9.
  * eet: fix tokenizer's escape logic.
  * Evas textblock: Don't include right margin/padding twice when aligning
    lines.
  * edje: check font change in edje text part cache infra.
  * edje/util: set flag to all_part_change when edje class member is added.
  * Evas cserve2: Fix client crashes when a file changed
  * Evas gl: Fix clip in image_draw if it's not set
  * ecore-drm: Fix ecore_drm_device_window_set to use an unsigned int
  * ecore-evas-drm: Fix setting of the ecore_evas property window and
    register the prop.window for events.
  * evas-drm: Fix engine to use the output's framebuffer as window id
  * ecore-wayland: Fix ecore_wl_init 'stalling' when used in a server
  * Eolian/Lexer: increase buffer length for .eo files
  * Eolian/Generator: Don't generate sub ids structure if not needed.
  * ecore-drm: Fix absolute motion coordinate calculation
  * edje_cc no longer fails on collections.group{}
  * edje_cc now correctly handles lack of state int in STATE_SET action
  * edje_cc also checks min args correctly for STATE_SET actions
  * Evas filters: fix potential memory leak
  * eio monitors no longer trigger a CRI error during free
  * edje_cc uses macros for some of its handler setup
  * evas/gl - fill up missed blend mode.
  * evas: Fixed warning for uninitialized variables
  * edje_cc now correctly handles group inheriting when the inherit is after
    a part/program
  * build: Disallow non-working sdl + opengl ES combination (T856)
  * Evas Textblock: increase ref of format before work
  * evas/proxy - redraw proxy source properly.
  * Eolian: move the beta API ifdef to cover all the H types and functions.
  * Eolian: fix virtual pure support.
  * Eolian/Lexer: fix function names parsing.
  * edje_cc: Fix the crash when compiled wrong edc file containing empty part
  * evas - fix incorrect object reset.
  * evas-drm: Add trapping for a canvas below framebuffer size
  * ecore-evas-drm: Add better support for ecore_evas_fullscreen_set
  * ecore-drm: Fix mouse wheel to not be inverted
  * emotion: fix memory leak
  * edje_cc: fix group inheriting with scripts. (group.script and
    .program.script)
  * ecore-evas - fix object cursor to not delete the same cursor when set
  * ecore_evas_extn: give proper event data to callbacks
  * ecore_evas_extn: fix doxygen sample
  * evas-drm: Default async page flip to false as this can cause tearing
  * evas-drm: Remove all async_page_flip options/references
  * ecore-con - deal with internal buffer growing over 2g in size
  * fix swap buffers with damage to not detect if ext str is not there
  * ecore-wl: Optimize opaque region setting for surface and reduce
    unnecessary calls to surface commit.
  * ecore-wl: Optimize setting of window input region
  * ecore-evas-wl: Reduce useless compositor redraws during render update and
    update input & opaque regions after resizing.
  * ecore_evas_extn: initialize server handle on server deletion
  * ecore_evas_extn: update plug image object after disconnection
  * Eo: eo_do now returns called func's value + default ret fix.
  * Fixed a problem with e wl server that sent invalid key value to wl client.
  * ecore-evas-wl: Ooops, Fix opaque & input regions being set to incorrect values
  * ecore-wl: Don't create an input cursor surface unless the input has
    pointer capability.
  * ecore-wl: Check for existance of data device manager
  * eo: fix broken children iterator, remove redundant fields.
  * ecore: Fixed se of EINA_MAIN_LOOP_CHECK_RETURN macros with functions with
    return types
  * emotion: fix triggering condition of fallback module loading (T1025)
  * edje now correctly forces ellipsis setting on text parts
  * emotion: play set before file open callback bug fix
  * emotion: use eina stringshare not strdup
  * configure: Only allow wayland + egl with opengl ES (T1202)
  * eldbus-codegen no longer passes garbage values to error callbacks
  * fix emotion_test signal emit object
  * evas-wayland-shm: Use XDG_RUNTIME_DIR if available for creating mmap'd
    buffer file.
  * evas-wayland-shm: Fix 'oopsie/typo' in temporary file name template
  * ecore-x - fix setting protocol atoms for icccm for 64bit
- add shebang.patch (add shebangs to python scripts to shut up rpmlint)
* Fri Apr 18 2014 simon@simotek.net
- Reenable luajit now its in factory
* Thu Apr 17 2014 simon@simotek.net
- We don't use XCB as with respect to enlightenment XCB is only
  useful in some embedded cases where openGL is not present
- Fedora doesn't support xine
* Wed Apr 16 2014 simon@simotek.net
- bump to 1.9.3
  * build: Disallow non-working sdl + opengl ES combination (T856)
  * evas/proxy - redraw proxy source properly.
  * edje_cc: Fix the crash when compiled wrong edc file containing empty part
  * evas - fix incorrect object reset.
  * ecore-evas - fix object cursor to not delete the same cursor when set
  * Evas cserve2: Fix crash in elm_test GLView
  * ecore-con - deal with internal buffer growing over 2g in size
  * fix swap buffers with damage to not detect if ext str is not there
* Sat Apr 12 2014 schwab@suse.de
- Only use valgrind when it exists
* Tue Apr  8 2014 simon@simotek.net
- bump to 1.9.2
  * Fixes 2 Api breaks introduced in 1.9.0
  * Evas filters: Fix 1-D blurs on a single buffer
  * Evas filters: Fix memory leak when destroying the object
  * Ecore x: Add back the two symbols removed in 1.9.
  * eet: fix tokenizer's escape logic.
  * edje: check font change in edje text part cache infra.
  * Evas cserve2: Fix client crashes when a file changed
  * Evas gl: Fix clip in image_draw if it's not set
  * edje_cc no longer fails on collections.group{}
  * edje_cc now correctly handles lack of state int in STATE_SET action
  * edje_cc also checks min args correctly for STATE_SET actions
  * Evas filters: fix potential memory leak
  * edje_cc uses macros for some of its handler setup
  * evas/gl - fill up missed blend mode.
* Wed Feb 26 2014 simon@simotek.net
- bump to 1.9.0
  * New Features
  * * Use GStreamer 1.0 instead of 0.10
  * * Evas Text filters
  * * ecore-avadhi
  * Many bugfixes
* Tue Jan 28 2014 simon@simotek.net
- Feedback from SR: 213817
  * conflicts with older efreet
  * efl-devel requires bullet which is not in factory yet
* Mon Jan 13 2014 simon@simotek.net
- Disable building man pages, they conflict with many other man pages
  /usr/share/evas/checkme is now in devel as it was in there in 1.7.*
* Fri Jan 10 2014 simon@simotek.net
- Minor bugfix release including fixing a api break (missing symbols)
* Fri Jan 10 2014 simon@simotek.net
- Disable physics module as bullet isn't in factory atm.
  Will re add it
* Wed Jan  1 2014 sleep_walker@suse.cz
- remove with_xlib and with_xcb again
* Sat Dec 21 2013 sleep_walker@suse.cz
- bump to 1.8.3
  Changes since 1.8.2:
  * evas: no loader should ever close an Eina_File anymore.
    (T674 and T668)
  * evas - tiler - fix missing clip of first rect to outbuf size
  * Evas textblock: Fixed range_deletion bug with multiple
    visible formats.
  * Evas test textblock: Added a test for a broken range_delete
    case.
  * emotion: revert to fast sed to use the right eina log domain.
  * eldbus: code generator struct members named "proxy" should not
    be passed to eina_value_free.
  * eldbus: make eldbus generated code not crash on every single
    generated vent
  * Evas textblock: Fixed deletion of ranges ending with visual
    formats.
  * Evas textblock: Added more range_delete tests.
  * emotion: use emotion log domain instead of eina one.
  * emotion: fix potential memory leak when webcam register fail.
  * emotion: lower warning on webcam access error to information
    (Not critical anyway).
  * evas - fix gif loader drop of image data sometimes (image
    dump/flush)
  * evas gif loader - address animated always being true
  * gif loader - handle theoretical NULL loader_data case
    autotools: let's try this variant for detecting c++ compiler
  * availability.
  * Evas tests: Add invalid markup test
  * Evas textblock: Fix crash with empty markups values
  * evas - fix gif loader cpu overuse - used too much cpu to
    decode anims
  * ecore_imf/wayland: Only call hide_input_panel on
    im_context_hide(). (T237)
  * autotools: work around buggy macro to force C++ compiler detection.
  * ecore_evas/wayland: Update withdrawn property, and inform
    state_changed.
  * Evas/cserve2: Fix crash during shutdown
  * Evas: Fix crash in GL engine(s) during preload cancel
  * Fix opaque windows becoming transparent after hide() then
    show(). (T611)
* Wed Dec 18 2013 sleep_walker@suse.cz
- XCB is unfortunatelly useless - get rid of it again
* Tue Dec 17 2013 sleep_walker@suse.cz
- few attempts to fix build against SLE_11_*
- disable XCB for Fedora 17 (doesn't have xcb-renderutil)
- added egl and glesv2 build dependencies
* Tue Dec 17 2013 sleep_walker@suse.cz
- create easy way to not build documentation (useful for pkg
  development as it takes most of time)
- specificaly use XCB for openSUSE new enough and for Fedoras,
  use Xlib for the rest
- fix example subpackage path (/usr/share/efl/examples/examples)
* Tue Dec 17 2013 sleep_walker@suse.cz
- autoreconf is really needed, put it back
* Tue Dec 17 2013 sleep_walker@suse.cz
- require bullet >=  2.80
- cleanup of commented code
* Sun Dec 15 2013 sleep_walker@suse.cz
- adding direct requirement of embryo in efl-devel, even though it
  is already required through edje package
- changing to pkgconfig dependencies wherever possible
- make the spec more organized
- properly escape percents in date command
* Sat Dec 14 2013 sleep_walker@suse.cz
- as there is edje and embryo subpackage, do not provide the symbol
  in efl
* Sat Dec 14 2013 sleep_walker@suse.cz
- separate embryo to subpackage
- edje requires embryo
- added last forgotten file to edje
* Sat Dec 14 2013 sleep_walker@suse.cz
- move also forgotten edje part
* Sat Dec 14 2013 sleep_walker@suse.cz
- fix URL
- separate edje_* commands to separate subpackage
- create examples subpackage
* Mon Dec  9 2013 simon@simotek.net
- efl 1.8.2 with some bug fixes and not much of a change log
* Mon Dec  2 2013 sleep_walker@suse.cz
- bump to 1.8.1 release
  Fixes:
  * Fixed build problem which named shared libs as "release".
* Fri Nov 22 2013 simon@simotek.net
- Create the first version from rev 140 in X11:Enlightenment:Nightly
